Subject: [bug#33434] [PATCH] gnu: font-ubuntu: Update url.

From: Leo Famulari <[email-masked]>
Date: Mon, 19 Nov 2018 20:11:15 -0500

On Mon, Nov 19, 2018 at 09:50:11PM +0100, Jan Nieuwenhuizen wrote:
> I tried that, and it doesn't work for me.  Specifically, I get
> 
> --8<---------------cut here---------------start------------->8---
> 21:47:31 janneke@dundal:~/src/guix-janneke 
> $ guix download https://assets.ubuntu.com/v1/fad7939b-ubuntu-font-family-0.83.zip
> Starting download of /tmp/guix-file.OMwFpM
> From https://assets.ubuntu.com/v1/fad7939b-ubuntu-font-family-0.83.zip...
> Bad qstring header component: 113 juju-prod45-ubuntu-assets-machine-10 (squid/3.3.8) This cache hit is still fresh and more than 1 day old
> 
> failed to download "/tmp/guix-file.OMwFpM" from "https://assets.ubuntu.com/v1/fad7939b-ubuntu-font-family-0.83.zip"
> guix download: error: https://assets.ubuntu.com/v1/fad7939b-ubuntu-font-family-0.83.zip: download failed
> --8<---------------cut here---------------end--------------->8---
> 
> Does it work for you?

You're right, it works with Firefox and curl but not with Guix. I wonder
what is different about our request? Either way, you could use the
launchpad source, or add the original source to archive.org as fetch it
from there (we have a few packages like this).

Here is a verbose `curl`:

------
$ curl -vvv -LO https://assets.ubuntu.com/v1/fad7939b-ubuntu-font-family-0.83.zip 
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0*   Trying 162.213.33.102...
* TCP_NODELAY set
* Connected to assets.ubuntu.com (162.213.33.102) port 443 (#0)
* found 149 certificates in /home/leo/.guix-profile/etc/ssl/certs/ca-certificates.crt
* ALPN, offering h2
* ALPN, offering http/1.1
* SSL connection using TLS1.2 / DHE_RSA_AES_128_GCM_SHA256
* 	 server certificate verification OK
* 	 server certificate status verification SKIPPED
* 	 common name: assets.ubuntu.com (matched)
* 	 server certificate expiration date OK
* 	 server certificate activation date OK
* 	 certificate public key: RSA
* 	 certificate version: #3
* 	 subject: C=GB,L=London,O=Canonical Group Ltd,OU=IS,CN=assets.ubuntu.com
* 	 start date: Fri, 19 Jan 2018 00:00:00 GMT
* 	 expire date: Wed, 23 Jan 2019 12:00:00 GMT
* 	 issuer: C=US,O=DigiCert Inc,CN=DigiCert SHA2 Secure Server CA
* 	 compression: NULL
* ALPN, server did not agree to a protocol
> GET /v1/fad7939b-ubuntu-font-family-0.83.zip HTTP/1.1
> Host: assets.ubuntu.com
> User-Agent: curl/7.62.0
> Accept: */*
> 
< HTTP/1.1 200 OK
< Date: Wed, 14 Nov 2018 19:23:56 GMT
< Server: gunicorn/17.5
< Last-Modified: Thu, 22 Jun 2017 17:04:20 GMT
< Content-Type: application/zip
< Allow: GET, PUT, DELETE, HEAD, OPTIONS
< Content-Disposition: filename=ubuntu-font-family-0.83.zip
< Cache-Control: max-age=31556926
< Age: 452735
< Warning: 113 juju-prod45-ubuntu-assets-machine-10 (squid/3.3.8) This cache hit is still fresh and more than 1 day old
< X-Cache: HIT from juju-prod45-ubuntu-assets-machine-10
< X-Cache-Lookup: HIT from juju-prod45-ubuntu-assets-machine-10:80
< Transfer-Encoding: chunked
< Via: 1.1 juju-prod45-ubuntu-assets-machine-10 (squid/3.3.8)
< Connection: keep-alive
< 
{ [3572 bytes data]
100 2043k    0 2043k    0     0  1382k      0 --:--:--  0:00:01 --:--:-- 1382k
* Connection #0 to host assets.ubuntu.com left intact
------

> I'm responding to Ludo's request to configure our systems on
> core-updates.  I needed this patch to be able to do so, and created it
> on core-updates.

Oh, great! Please proceed as you see fit :)